Cyberduck Mountain Duck CLI

#3819 closed enhancement (fixed)

Hostname alias not used in SSH config file

Reported by: esser@… Owned by: dkocher
Priority: normal Milestone: 3.4.2
Component: sftp Version: 3.3b4
Severity: normal Keywords: SSH config
Cc: Architecture:
Platform: Mac OS X 10.6

Description (last modified by dkocher)

If in your ~/.ssh/config file you have an entry with the "Host" different from the Hostname entry the Hostname is not used.

e.g.

Host server
    Hostname 192.168.0.100
    IdentityFile ~/.ssh/my_key

Cyberduck attempts to connect to "server" rather than the machine defined by Hostname "192.168.0.100"

The following entry does work but is less user friendly

Host 192.168.0.100
    Hostname 192.168.0.100
    IdentityFile ~/.ssh/my_key

Change History (5)

comment:1 Changed on Oct 15, 2009 at 8:47:56 AM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)

comment:2 Changed on Oct 15, 2009 at 8:50:53 AM by dkocher

  • Description modified (diff)

comment:3 Changed on Dec 7, 2009 at 2:21:42 PM by dkocher

  • Summary changed from Hostname not used in SSH config file to Hostname alias not used in SSH config file

comment:4 Changed on Dec 7, 2009 at 2:22:59 PM by dkocher

#3983 closed as duplicate.

comment:5 Changed on Apr 1, 2010 at 5:42:09 PM by dkocher

  • Milestone set to 3.4.2
  • Platform set to Mac OS X 10.6
  • Resolution set to fixed
  • Status changed from new to closed
  • Type changed from defect to enhancement

Implemented as of r5888.

Note: See TracTickets for help on using tickets.
swiss made software